Bug 217624 - PropertySheet extensions
PropertySheet extensions
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
7.3
All All
: P2 (vote)
: 7.3
Assigned To: Stanislav Aubrecht
issues@platform
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 12:42 UTC by Stanislav Aubrecht
Modified: 2012-09-07 11:41 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
proposed API changes (4.59 KB, patch)
2012-08-30 12:54 UTC, Stanislav Aubrecht
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Aubrecht 2012-08-30 12:42:42 UTC
Developers who want to customize PropertySheet needs some minor extension to that class:

- provide custom popup menu
- programmatically expand/collapse property categories
- access the selected property
Comment 1 Stanislav Aubrecht 2012-08-30 12:54:33 UTC
Created attachment 123741 [details]
proposed API changes
Comment 2 Stanislav Aubrecht 2012-09-05 10:39:49 UTC
If there are no objections, I'll integrate the changes tomorrow.
Comment 3 Stanislav Aubrecht 2012-09-06 13:08:13 UTC
core-main f5f82ddd0339
Comment 4 Quality Engineering 2012-09-07 02:10:02 UTC
Integrated into 'main-golden', will be available in build *201209070001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/f5f82ddd0339
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #217624 - PropertySheet extensions
Comment 5 Jaroslav Tulach 2012-09-07 10:41:28 UTC
Missing test. But probably too late to cry for that...
Comment 6 Stanislav Aubrecht 2012-09-07 11:41:54 UTC
(In reply to comment #5)
> Missing test. But probably too late to cry for that...

Easel will need some more changes in PropertySheet API so it's not that late...


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo